AArch32 Registers | AArch64 Registers | AArch32 Instructions | AArch64 Instructions | Index by Encoding | External Registers | External Registers by Offset | Registers by Functional Group | Proprietary Notice

# CTIDEVTYPE, CTI Device Type register

The CTIDEVTYPE characteristics are:

## Purpose

Indicates to a debugger that this component is part of a PEs cross-trigger interface.

## Configuration

CTIDEVTYPE is in the Debug power domain.

Implementation of this register is OPTIONAL.

## Attributes

CTIDEVTYPE is a 32-bit register.

## Field descriptions

The CTIDEVTYPE bit assignments are:

31 | 30 | 29 | 28 | 27 | 26 | 25 | 24 | 23 | 22 | 21 | 20 | 19 | 18 | 17 | 16 | 15 | 14 | 13 | 12 | 11 | 10 | 9 | 8 | 7 | 6 | 5 | 4 | 3 | 2 | 1 | 0
RES0 | SUB | MAJOR

#### Bits [31:8]

Reserved, RES0.

#### SUB, bits [7:4]

Subtype. Must read as 0x1 to indicate this is a component within a PE.

#### MAJOR, bits [3:0]

Major type. Must read as 0x4 to indicate this is a cross-trigger component.

## Accessing the CTIDEVTYPE

#### CTIDEVTYPE can be accessed through the external debug interface:

Component | Offset | Instance
--- | --- | ---
CTI | 0xFCC | CTIDEVTYPE

Access on this interface is RO.

AArch32 Registers | AArch64 Registers | AArch32 Instructions | AArch64 Instructions | Index by Encoding | External Registers | External Registers by Offset | Registers by Functional Group | Proprietary Notice

15/04/2019 16:47; 8c23526ba8a13a72aada4137daf3e3977b49036e

Copyright © 2010-2019 Arm Limited or its affiliates. All rights reserved. This document is Non-Confidential.